export type Device = 'iphone' | 'android' | 'ipad' | 'ipod' | 'windows-phone' | 'blackberry' | 'webos';
export declare function getDevice(): Device | undefined;
export type Browser = 'safari' | 'chrome' | 'firefox' | 'edge' | 'ie' | 'opera';
export declare function getBrowser(): Browser | undefined;
export interface Client {
    device?: Device;
    browser?: Browser;
}
export declare function getClient(): Client;
export declare function useClient(): Client;
